Page MenuHomePhabricator

[Regression wmf.23] MW's title suggestion widget displays a suggestion for "foo" and "Foo" for non-existing pages on input of "foo" (OK), and for "Foo" and "Foo" on input of "Foo" (not OK)
Closed, ResolvedPublic1 Story Points

Description

The issue is present on beta too.

  1. On testwiki with wmf.23, on a page in VE mode, click on 'Link'
  2. In the Link inspector text box start typing non-existing page title.
  3. The list of suggested articles will display two identical suggestions with 'page does not exist yet'

In wmf.22 only one suggestion will be displayed:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2016, 9:46 PM
Etonkovidova renamed this task from [regression pre-wmf.23] VE links suggestion list displays double for non-existing pages to [regression pre-wmf.23] VE link inspector displays double suggestions for non-existing pages.Oct 25 2016, 9:47 PM
Paladox added a project: Regression.
Jdforrester-WMF renamed this task from [regression pre-wmf.23] VE link inspector displays double suggestions for non-existing pages to [Regression wmf.23] MW's title suggestion widget displays a suggestion for "foo" and "Foo" for non-existing pages on input of "foo" (OK), and for "Foo" and "Foo" on input of "Foo" (not OK).Oct 26 2016, 10:14 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Esanders.

Change 318475 had a related patch set uploaded (by Alex Monk):
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/318475

Change 318475 merged by jenkins-bot:
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/318475

Change 319481 had a related patch set uploaded (by Jforrester):
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/319481

Change 319482 had a related patch set uploaded (by Jforrester):
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/319482

It's now merged in master (what will become MW 1.29.0-wmf.2), and I'll backport it to wmf.1 for production fix tomorrow. However, we probably want to get it into 1.28.0, so tagging as such.

Change 319482 merged by jenkins-bot:
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/319482

Change 319481 merged by jenkins-bot:
Follow-up Id0021594: Remove extra code for redlink suggestions

https://gerrit.wikimedia.org/r/319481

Jdforrester-WMF closed this task as Resolved.Nov 3 2016, 12:25 AM

OK, now deployed to 1.29.0-wmf.1. Not worth pushing to 1.28.0-wmf.23 for just a few hours.

Mentioned in SAL (#wikimedia-operations) [2016-11-03T00:28:48Z] <dereckson@tin> Synchronized php-1.29.0-wmf.1/resources/src/mediawiki.widgets/mw.widgets.TitleWidget.js: Follow-up Id0021594: Remove extra code for redlink suggestions (T149130) (duration: 00m 46s)